ツール: get_documents
このツールを使用すると、1 回の呼び出しで 1 つのドキュメントまたは最大 20 個のドキュメントのコンテンツ全体を取得できます。ドキュメント名は、search_documents ツールへの呼び出しの結果の parent フィールドから取得する必要があります。names パラメータをドキュメント名のリストに設定します。
次のサンプルは、curl を使用して get_documents MCP ツールを呼び出す方法を示しています。
| Curl リクエスト |
|---|
curl --location 'https://developerknowledge.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_documents", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
入力スキーマ
get_documents のリクエスト スキーマ。
GetDocumentsRequest
| JSON 表現 |
|---|
{ "names": [ string ] } |
| フィールド | |
|---|---|
names[] |
必須。取得するドキュメントの名前(search_documents から返されたもの)。1 回の呼び出しで取得できるドキュメントは最大 20 個です。ドキュメントは、リクエストの |
出力スキーマ
get_documents のレスポンス スキーマ。
GetDocumentsResponse
| JSON 表現 |
|---|
{
"documents": [
{
object ( |
| フィールド | |
|---|---|
documents[] |
書類がリクエストされました。 |
ドキュメント
| JSON 表現 |
|---|
{ "name": string, "uri": string, "content": string, "description": string, "title": string } |
| フィールド | |
|---|---|
name |
ID。ドキュメントのリソース名。形式: |
uri |
出力専用。コンテンツの URI( |
content |
出力専用。ドキュメントのコンテンツ(Markdown 形式)。 |
description |
出力専用。ドキュメントの説明。 |
title |
出力専用。ドキュメントのタイトル。 |
ツールのアノテーション
破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌